Bug 809032 - when quota is enabled the message "cannot find parent for inode" is reported numerous times in client logs
when quota is enabled the message "cannot find parent for inode" is reported ...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-02 05:59 EDT by Shwetha Panduranga
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-04-02 05:59:18 EDT
Description of problem:
The following message is logged numerous times in client logs. 

[2012-04-02 20:49:41.133068] W [quota.c:780:quota_update_size] 2-dstore-quota: cannot find parent for inode (gfid:f980c494-5132-4e91-967d-11cf8ffe4757), hence aborting size updation of parents
[2012-04-02 20:49:41.133471] W [quota.c:394:quota_check_limit] 2-dstore-quota: cannot find parent for inode (gfid:f980c494-5132-4e91-967d-11cf8ffe4757), hence aborting enforcing quota-limits and continuing with the fop


Version-Release number of selected component (if applicable):
mainline

How reproducible:
often

Steps to Reproduce:
1.create a distribute-replicate volume. start volume
2.create fuse mount. start dd on fuse mount in a loop
3.enable quota while dd is still in progress. 
  
Actual results:
For 12 minutes it had logged "167707" lines on one fuse mount and "171511" on other fuse mount.
Comment 1 Anand Avati 2012-04-03 03:58:02 EDT
CHANGE: http://review.gluster.com/3071 (quota: log msgs indicating NULL parent inode in DEBUG level.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Shwetha Panduranga 2012-04-12 02:48:29 EDT
Verified on 3.3.0qa34. the above mentioned log messages are not seen now.

Note You need to log in before you can comment on or make changes to this bug.